version: v2
plugins:
  - local: protoc-gen-go
    out: ../../services/api/gen
    opt: paths=source_relative
  - local: protoc-gen-connect-go
    opt:
      - paths=source_relative
    out: ../../services/api/gen

  # TypeScript
  - local: protoc-gen-es
    out: ../rpc/src
    include_imports: true
    opt: target=ts
